%define name    scribus
%define version 1.3.3.11
%define release 1bii.mdv2008.0

%define	major	0
%define	libname	%mklibname %name %major
%define develname %{name}-devel

Summary: 	Scribus - Open Source Page Layout
Name: 		%name
Version: 	%version
Release:	%release
Source0:	http://downloads.sourceforge.net/scribus/%{name}-%{version}.tar.bz2
Source1:	vnd.scribus.desktop
Patch1:		scribus-1.3.3.9-desktop-file.patch
URL: 		http://www.scribus.net/
License:	GPLv2+
Group:  	Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	autoconf
BuildRequires:	cups-devel
BuildRequires:	lcms-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	qt3-devel
BuildRequires:	tiff-devel
BuildRequires:	python-devel
BuildRequires:	libtiff-devel
BuildRequires:	desktop-file-utils imagemagick

Requires:	tkinter
Requires:	ghostscript-common

Obsoletes:	kde3-scribus 
Provides:	kde3-scribus

Obsoletes:    scribus-i18n-en
Obsoletes:    scribus-i18n-de
Obsoletes:    scribus-i18n-fr
Obsoletes:	%libname

%description
Scribus is a desktop open source page layout program with the aim of
producing commerical grade output in PDF and Postscript, primarily,
though not exclusively, for Linux.

While the goals of the program are ease of use and simple
easy-to-understand tools, Scribus offers support for professional
publishing features, such as CMYK colors, easy PDF creation,
Encapsulated Postscript import and export, and creation of color
separations.

%post
%update_menus
%update_mime_database
%update_icon_cache hicolor

%postun
%clean_menus
%clean_mime_database
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/mimelnk/application/*.desktop
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_libdir}/scribus
%{_datadir}/mime/packages/*.xml
%{_datadir}/scribus
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%_liconsdir/%{name}.png
%dir %{_datadir}/doc/scribus-%version
%doc %{_datadir}/doc/scribus-%version/AUTHORS
%doc %{_datadir}/doc/scribus-%version/BUILDING
%doc %{_datadir}/doc/scribus-%version/COPYING
%doc %{_datadir}/doc/scribus-%version/ChangeLog
%doc %{_datadir}/doc/scribus-%version/ChangeLogSVN
%doc %{_datadir}/doc/scribus-%version/INSTALL
%doc %{_datadir}/doc/scribus-%version/NEWS
%doc %{_datadir}/doc/scribus-%version/PACKAGING
%doc %{_datadir}/doc/scribus-%version/README
%doc %{_datadir}/doc/scribus-%version/README.MacOSX
%doc %{_datadir}/doc/scribus-%version/TODO
%lang(cs) %{_datadir}/doc/scribus-%version/cs
%lang(de) %{_datadir}/doc/scribus-%version/de
%lang(en) %{_datadir}/doc/scribus-%version/en
%lang(fr) %{_datadir}/doc/scribus-%version/fr
%lang(pl) %{_datadir}/doc/scribus-%version/pl
%{_datadir}/pixmaps/scribusicon.png

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development tools for programs which will use the %libname library
Group:		Development/C++
Obsoletes:	%{libname}-devel
Obsoletes:	libkde3-scribus0-devel
Provides:	libkde3-scribus0-devel

%description -n	%{develname}
The %{develname} package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{develname}-devel.  You'll also need to have the %name
package installed.

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS COPYING
%_includedir/%name/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0

%build
%configure2_5x
%make -j1

%install
rm -rf $RPM_BUILD_ROOT

# Laurent don't use %%makeinstall it doesn't work
# lib and pugins in not install in good directory.
%makeinstall_std

install -d %buildroot%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir %buildroot%{_datadir}/applications/ \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--remove-category='WordProcessor' \
	--add-category='Publishing' \
	--add-category='X-MandrivaLinux-CrossDesktop'\
	--add-category='X-MandrivaLinux-Office-Publishing' \
	scribus.desktop

# install icons for hicolor and old WM
mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
convert -resize 16x16 scribus/icons/scribusicon.png %buildroot%_iconsdir/hicolor/16x16/apps/%{name}.png
convert -resize 32x32 scribus/icons/scribusicon.png %buildroot%_iconsdir/hicolor/32x32/apps/%{name}.png
convert -resize 48x48 scribus/icons/scribusicon.png %buildroot%_iconsdir/hicolor/48x48/apps/%{name}.png

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
convert -resize 16x16 scribus/icons/scribusicon.png %buildroot%_miconsdir/%{name}.png
convert -resize 32x32 scribus/icons/scribusicon.png %buildroot%_iconsdir/%{name}.png
convert -resize 48x48 scribus/icons/scribusicon.png %buildroot%_liconsdir/%{name}.png

# fwang: install mimelnk for kde
install -d %buildroot%{_datadir}/mimelnk/application
install %SOURCE1 %buildroot%{_datadir}/mimelnk/application/

# fwang: cp include files now
# or, not needed??
install -d %buildroot%{_includedir}/%{name}
install %{name}/*.h %buildroot%{_includedir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Jan 13 2008 Funda Wang <fundawang@mandriva.org> 1.3.3.11-1mdv2008.1
+ Revision: 150436
- New version 1.3.3.11

* Wed Jan 09 2008 Funda Wang <fundawang@mandriva.org> 1.3.3.10-1mdv2008.1
+ Revision: 147041
- make it backportable
- New version 1.3.3.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.10-0.10439.2mdv2008.0
+ Revision: 89554
- Add cross-desktop category (bug#333739)
- use doc icon rather than app icon

* Sat Aug 25 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.10-0.10439.1mdv2008.0
+ Revision: 71352
- really want lib64
- svn snapshot at 10439
- replace patch0 by upstream decision :(
- scribus does not own application/x-scribus mimetype
- Fix desktop icon
- Obsoletes old lan package

* Tue Jul 24 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-7mdv2008.0
+ Revision: 54884
- Put scribus into publishing rather than wordprocessor

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add Uppercase patterns
    - End mimetypes with a semi-colon

* Mon Jul 23 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-6mdv2008.0
+ Revision: 54520
- Add vnd.scribus.desktop for KDE's mimelnk
- Add desktop file patch to fix bug#31591

* Sat Jul 21 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-5mdv2008.0
+ Revision: 54136
- Add libpath patch
- use cmake
- Remove old translations
- More requires for the plugins

* Tue Jul 03 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-4mdv2008.0
+ Revision: 47348
- Bump release

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix layout

* Mon Jul 02 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-3mdv2008.0
+ Revision: 46926
- Build python scripts

* Mon Jul 02 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-2mdv2008.0
+ Revision: 46919
- obsoletes libname
- fix bug#24032

* Wed May 16 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.3.3.9-1mdv2008.0
+ Revision: 27303
- Updated to 1.3.3.9.


* Thu Mar 01 2007 Laurent Montel <lmontel@mandriva.com> 1.3.3.8-1mdv2007.0
+ Revision: 130608
- 1.3.3.8

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1.3.3.7-1mdv2007.1
+ Revision: 106938
- 1.3.3.7

* Mon Dec 04 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.6-1mdv2007.1
+ Revision: 90468
- 1.3.3.6

* Sun Nov 12 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.5-1mdv2007.0
+ Revision: 83292
- 1.3.3.5

* Fri Oct 13 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.4-1mdv2007.1
+ Revision: 63820
- 1.3.3.4

  + Olivier Blin <oblin@mandriva.com>
    - Import scribus

* Wed Aug 09 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3.3-1
- 1.3.3.3

* Thu Jun 01 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3.2-1
- 1.3.3.2

* Tue Apr 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3.1-1mdk
- New release 1.3.3.1
- Change URL
- Make rpmbuildupdate

* Fri Mar 31 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-2
- Fix build on x86_64

* Fri Mar 31 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-1
- 1.3.3

* Mon Jan 23 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.2-1
- 1.3.2

* Tue Dec 20 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-4
- Add tiff-devel as buildrequires fix : bug #15939

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-3mdk
- fix build on x86_64

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-2mdk
- rebuild against openssl-0.9.8

* Tue Oct 18 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-1
- 1.3.1

* Sat Jul 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.0-1
- 1.3.0

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-2mdk
- no bz2 ending for man pages
- drop patches that wasn't applied
- sane %%setup
- fix path to qt3 libs (lib64)

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-1mdk
- 1.2.2.1
- %%mkrel

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 1.2.2-1mdk
- 1.2.2
- patch now merged upstream

* Sun Apr 17 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.1-2mdk
- Fixed %%{scribusdir} for X86-64.
- Added Patch2.

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Sat Oct 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-3mdk
- lib64 fixes (again)

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Fix url bug found by 'Quel Qun <kelk1@comcast.net>"

* Mon Aug 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2 (before new version freeze)

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.6-2mdk
- fix buildrequires

* Fri May 07 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-1mdk
- New release 1.1.6

